Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » WindowBuilder » Failed to build Windowbuilder1.6.1 src code
Failed to build Windowbuilder1.6.1 src code [message #1164133] Thu, 31 October 2013 13:02 Go to next message
Wang Chaos is currently offline Wang ChaosFriend
Messages: 9
Registered: June 2013
Location: Nanjing,China
Junior Member
Hi,

I tried to build wb1.6.1 src ,but it failed when solving rmap file. The log is like the below:
--------------------------------------------------------------------------------
init:
......
[echoproperties] build.wb.cquery=J\:\\originalSource\\Windowbuilder1.6.1\\trunk\\org.eclipse.wb.releng\\WB.cquery
[mkdir] Created dir: J:\originalSource\Windowbuilder1.6.1\trunk\org.eclipse.wb.releng\ws\build\tmp
[mkdir] Created dir: J:\originalSource\Windowbuilder1.6.1\trunk\org.eclipse.wb.releng\ws\build\tmp\buckWorkspace
[mkdir] Created dir: J:\originalSource\Windowbuilder1.6.1\trunk\org.eclipse.wb.releng\ws\build\target
init.clean.tools:
init.checks:
get.director:
install.buckminster:
buckminster:
[copy] Copying 1 file to J:\originalSource\Windowbuilder1.6.1\trunk\org.eclipse.wb.releng\ws\build\tmp
[java] INFO: lstargets
[java] Using workspace at file:/J:/originalSource/Windowbuilder1.6.1/trunk/org.eclipse.wb.releng/ws/build/tmp/buckWorkspace/ ...
[java] No target definitions found in workspace
[java] INFO: import 'J:\originalSource\Windowbuilder1.6.1\trunk\org.eclipse.wb.releng\WB.cquery'
[java] ERROR: Attempt to use an unresolved node. Request is org.eclipse.ui:osgi.bundle
[java] org.eclipse.buckminster.core.metadata.model.UnresolvedNodeException: Attempt to use an unresolved node. Request is org.eclipse.ui:osgi.bundle
[java] at org.eclipse.buckminster.core.metadata.model.UnresolvedNode.addMaterializationCandidates(UnresolvedNode.java:91)
[java] at org.eclipse.buckminster.core.metadata.model.ResolvedNode.addMaterializationCandidates(ResolvedNode.java:229)
[java] at org.eclipse.buckminster.core.metadata.model.ResolvedNode.addMaterializationCandidates(ResolvedNode.java:229)
[java] at org.eclipse.buckminster.core.metadata.model.BillOfMaterials.addMaterializationCandidates(BillOfMaterials.java:345)
[java] at org.eclipse.buckminster.core.metadata.model.BillOfMaterials.findMaterializationCandidates(BillOfMaterials.java:184)
[java] at org.eclipse.buckminster.core.materializer.MaterializationJob.prepareJobs(MaterializationJob.java:166)
[java] at org.eclipse.buckminster.core.materializer.MaterializationJob.internalRun(MaterializationJob.java:142)
[java] at org.eclipse.buckminster.core.materializer.MaterializationJob.run(MaterializationJob.java:125)
[java] at org.eclipse.core.internal.jobs.Worker.run(Worker.java:54)
[java] INFO: Import complete.
[java] INFO: build
build:
BUILD SUCCESSFUL
Total time: 4 minutes 18 seconds
--------------------------------------------------------------------------------
Unfortunately, WB's nightly build log is almost the same with mine.
Any hints?

Yours,
Wang

[Updated on: Thu, 31 October 2013 13:32]

Report message to a moderator

Re: Failed to build Windowbuilder1.6.1 src code [message #1164165 is a reply to message #1164133] Thu, 31 October 2013 13:29 Go to previous message
Wang Chaos is currently offline Wang ChaosFriend
Messages: 9
Registered: June 2013
Location: Nanjing,China
Junior Member
I serched "org.eclipse.ui" in SDK's src, and find it existing in "eclipse.platform.ui" project.so I tried to install that using backminster:
-----------------------------------------------------------------------------------
$ ./buckminster.bat install http://download.eclipse.org/eclipse/updates/3.7 org.eclipse.platform
Cannot complete the install because of a conflicting dependency.
[0]Software being installed: Eclipse Platform 3.7.2.v20120207-1839-9gF7UHPDFxGjd-PqDr2jX_4yKaumkoHTz04_q-q (org.eclipse.platform.feature.group 3.7.2.v20120207-1839-9gF7UHPDFxGjd-PqDr2jX_4yKaumkoHTz04_q-q)
[0]Software currently installed: Buckminster 1.2.1.r11675 (org.eclipse.buckminst
er.cmdline.product 1.2.1.r11675)
[0]Only one of the following can be installed at once:
[0.2]Declarative Services 1.2.1.R36x_v20100803 (org.eclipse.equinox.ds 1.2.1.R36x_v20100803)
[0.2]Declarative Services 1.3.1.R37x_v20110701 (org.eclipse.equinox.ds 1.3.1.R37x_v20110701)
[0.2]Declarative Services 1.3.0.v20110502 (org.eclipse.equinox.ds 1.3.0.v20110502)
[0]Cannot satisfy dependency:
[0.2]From: Buckminster 1.2.1.r11675 (org.eclipse.buckminster.cmdline.product 1.2.1.r11675)
[0.2]To: org.eclipse.equinox.ds [1.2.1.R36x_v20100803]
[0]Cannot satisfy dependency:
[0.2]From: Eclipse Platform 3.7.2.v20120207-1839-9gF7UHPDFxGjd-PqDr2jX_4yKaumkoHTz04_q-q (org.eclipse.platform.feature.group 3.7.2.v20120207-1839-9gF7UHPDFxGjd-PqDr2jX_4yKaumkoHTz04_q-q)
[0.2]To: org.eclipse.rcp.feature.group [3.7.2.v20120120-1424-9DB5FmnFq5JCf1UA38R-kz0S0272]
[0]Cannot satisfy dependency:
[0.2]From: Eclipse RCP 3.7.2.v20120120-1424-9DB5FmnFq5JCf1UA38R-kz0S0272 (org.eclipse.rcp.feature.group 3.7.2.v20120120-1424-9DB5FmnFq5JCf1UA38R-kz0S0272)
[0.2]To: org.eclipse.equinox.ds [1.3.1.R37x_v20110701]
-----------------------------------------------------------------------------------
Also failed to install rcp or equinox.
PS:I think my proxy setting is OK
Don't konw what my thinking is right or not, wishing somebady could help me.

Yours,
Wang
Previous Topic:embedding external framework
Next Topic:Window Builder
Goto Forum:
  


Current Time: Mon Dec 22 10:43:37 GMT 2014

Powered by FUDForum. Page generated in 0.01954 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software